fillPeaks.MSW-methods {xcms} | R Documentation

## Integrate areas of missing peaks in FTICR-MS data

### Description

For each sample, identify peak groups where that sample is not represented. For each of those peak groups, integrate the signal in the region of that peak group and create a new peak.

### Arguments

`object` | the `xcmsSet` object

### Details

After peak grouping, there will always be peak groups that do not include peaks from every sample. This method produces intensity values for those missing samples by integrating raw data in peak group region. In a given group, the start and ending m/z values for integration are defined by the median start and end points of the other detected peaks.

### Value

A `xcmsSet` objects with filled in peak groups.

### Methods

object = "xcmsSet"
  `fillPeaks.MSW(object)`

### See Also

`xcmsSet-class`, `getPeaks` `fillPeaks`

[Package xcms version 1.16.3 Index]